Bug 461223 - Hinting instructions are cleared after save.
Hinting instructions are cleared after save.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontforge (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 01:42 EDT by Caius Chance
Modified: 2008-09-08 16:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 16:01:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caius Chance 2008-09-05 01:42:37 EDT
Description of problem:
When a set of hinting instructions is inserted into a glyph/char, will be cleared after save.

Version-Release number of selected component (if applicable):
fontforge-20080429-2.fc10.i386

How reproducible:
Sometimes. About 50% chance.

Steps to Reproduce:
1. Start fontforge with a font file. (I used .sfd)
2. Copy a set of hinting instructions from other glyph. (Hints > Edit instructions.)
3. Paste into a glyph. (Hints > Edit instructions)
4. Save the font file. (File > Save)
5. Check the little box above the glyph on main window.
  
Actual results:
The box should be hollow (grey color as background) which the glyph is correct.

Expected results:
The box is in blue background which the glyph has no hinting instructions.

Additional info:
This bug is discovered during process of bug #460090.
Comment 1 Jens Petersen 2008-09-05 03:38:43 EDT
Has it been reported upstream?
Comment 2 Kevin Fenzi 2008-09-05 16:43:07 EDT
Additionally, can you see if the latest fontforge in rawhide shows this bug?
It was just updated yesterday to a new version.
Comment 3 Caius Chance 2008-09-07 19:32:22 EDT
(In reply to comment #1)
> Has it been reported upstream?

Yes.

(In reply to comment #2)
> Additionally, can you see if the latest fontforge in rawhide shows this bug?
> It was just updated yesterday to a new version.

I am resolving the original liberation-fonts bug on F9. This is what I have discovered as side-bug.
Comment 4 Caius Chance 2008-09-07 20:18:10 EDT
According to George Williams (fontforge contributor) via fontforge mailing lists, "This build is out of date. A bug similar to this has been fixed. Please
try the current build."

Please kindly triage and close if not found on new version.
Comment 5 Kevin Fenzi 2008-09-07 20:24:36 EDT
Well, we dislike updating fontforge in stable releases, as it means we need to rebuild a bunch of fonts that use it as a BuildRequires, but we can discuss it if it's needed of course. 

I don't see this on the new rawhide fontforge version...
Comment 6 Caius Chance 2008-09-07 20:39:17 EDT
This bug is not a critical one: you just need another 'save' and fontforge will listen to you. If you think it is not appropriate to update in stable releases, I would have no objection on that.

George Williams is mentioning about latest upstream build.
Comment 7 Kevin Fenzi 2008-09-08 16:01:20 EDT
Yeah, we might update stable releases, but will have to consider... 

In any case I think this is fixed with the version in rawhide, so I will go ahead and close it. If you find any further issue with it, feel free to re-open this or file a new bug. 

Thanks again!

Note You need to log in before you can comment on or make changes to this bug.